---
names: 
  full: "Google Cloud PostgreSQL Instance `Log_error_verbosity` Database Flag is not set to DEFAULT or stricter"
  contextual: "PostgreSQL Instance `Log_error_verbosity` Database Flag is not set to DEFAULT or stricter"
description: "The log_error_verbosity flag controls the verbosity/details of messages logged. Valid \ 
 values are: TERSE, DEFAULT, VERBOSE.  TERSE excludes the logging of DETAIL, HINT, QUERY, and CONTEXT \ 
 error information. VERBOSE output includes the SQLSTATE error code, source code file name, function \ 
 name, and line number that generated the error. Ensure an appropriate value is set to 'DEFAULT' or stricter."
type: COMPLIANCE_POLICY
categories:
  - "RELIABILITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/02/01
  - /frameworks/cloudaware/resource-reliability/system-configuration
  - /frameworks/nist-sp-800-53-r5/au/12
  - /frameworks/nist-sp-800-53-r5/au/03
  - /frameworks/nist-sp-800-53-r5/au/07
  - /frameworks/pci-dss-v4.0/10/02/01
  - /frameworks/pci-dss-v4.0/10/02/01/02
  - /frameworks/pci-dss-v4.0/10/02/01/05
  - /frameworks/pci-dss-v4.0/09/04/05
  - /frameworks/iso-iec-27001-2022/05/28
  - /frameworks/iso-iec-27001-2022/08/15
  - /frameworks/nist-csf-v1.1/de-ae/03
  - /frameworks/nist-csf-v1.1/de-cm/01
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc7/02/01
  - /frameworks/soc-2/cc7/02/02
  - /frameworks/soc-2/cc7/02/03
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudSQL/log-error-verbosity-flag-postgre-sql.html"
      name: "Configure 'log_error_verbosity' Flag for PostgreSQL Instances"
